#
# spec file for package libapparmor (Version 2.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace swig sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           libapparmor
Url:            http://forge.novell.com/modules/xfmod/project/?apparmor
%define _unpackaged_files_terminate_build 0
Version:        2.2
Release:        0.3
License:        LGPL v2.1 or later
Group:          System/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}1-%{version}.tar.bz2
BuildRequires:  gcc perl swig
Provides:       libimmunix
Obsoletes:      libimmunix
Summary:        Immunix Library to provide key AppArmor symbols
%define aalibversion 1.0.2

%description
This package provides the libimmunix library, which contains the
change_hat(2) symbol, used for sub-process confinement by AppArmor.
Applications that wish to make use of change_hat(2) need to link
against this library.



Authors:
--------
    sbeattie@suse.de

%debug_package
%package -n libapparmor-devel
License:        LGPL v2.1 or later
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries/C and C++
Provides:       libapparmor:/usr/include/sys/apparmor.h
Summary:        Development headers and libraries for libapparmor.

%description -n libapparmor-devel
Development headers and libraries for libapparmor.



Authors:
--------
    Steve Beattie <sbeattie@suse.de>
    Matt Barringer <mbarringer@suse.de>

%post -n libapparmor-devel
/sbin/ldconfig

%postun -n libapparmor-devel
/sbin/ldconfig

%package -n perl-libapparmor
License:        GPL v2 only; LGPL v2.1 or later
Requires:       %{name} = %{version}
Requires:       perl = %{perl_version}
Group:          Development/Libraries/Perl
Summary:        Perl interface for libapparmor functions.

%description -n perl-libapparmor
This package provides the perl interface to change_hat and AppArmor log
parsing routines.



Authors:
--------
    Steve Beattie <sbeattie@suse.de>
    Matt Barringer <mbarringer@suse.de>

%prep
%setup -q -n %{name}1-%{version}

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --with-perl
make CFLAGS="${RPM_OPT_FLAGS}"

%install
make install DESTDIR="$RPM_BUILD_ROOT"
mkdir ${RPM_BUILD_ROOT}/%{_lib}
# this is really hacky
rm ${RPM_BUILD_ROOT}/%{_libdir}/libapparmor.so
rm ${RPM_BUILD_ROOT}/%{_libdir}/libimmunix.so
cp ${RPM_BUILD_ROOT}/%{_libdir}/libapparmor.so.%{aalibversion} ${RPM_BUILD_ROOT}/%{_lib}
cp ${RPM_BUILD_ROOT}/%{_libdir}/libimmunix.so.%{aalibversion} ${RPM_BUILD_ROOT}/%{_lib}
ln -s /%{_lib}/libapparmor.so.%{aalibversion} ${RPM_BUILD_ROOT}/%{_libdir}/libapparmor.so
find $RPM_BUILD_ROOT -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -name perllocal.pod -exec rm -f {} \;
# create symlink for old change_hat(2) manpage
ln -s aa_change_hat.2 ${RPM_BUILD_ROOT}/%{_mandir}/man2/change_hat.2

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
/%{_lib}/libapparmor.so.*
/%{_lib}/libimmunix.so.*

%files -n libapparmor-devel
%defattr(-,root,root)
%{_libdir}/libapparmor.so
%{_libdir}/libapparmor.la
%{_libdir}/libapparmor.a
%{_libdir}/libimmunix.la
%{_libdir}/libimmunix.a
%doc %{_mandir}/man*/*
%dir %{_includedir}/aalogparse
%{_includedir}/sys/apparmor.h
%{_includedir}/aalogparse/*

%files -n perl-libapparmor
%defattr(-,root,root)
%dir %{perl_vendorarch}/auto/LibAppArmor
%{perl_vendorarch}/auto/LibAppArmor/*
%{perl_vendorarch}/LibAppArmor.pm

%changelog
* Tue Feb 05 2008 - ro@suse.de
- rename back to libapparmor for SLE SP2
  (package rename not approved)
* Mon Sep 17 2007 - sbeattie@suse.de
- parse audit messages with type=15xx fields correctly (#310867)
  - without fix, apparmor gnome applet fails to display events
- stop emitting logparsing error message to stdout (#310869)
- logparser: parse safe (hex) encoded strings (#325593)
- logparser: parse more 10.2 era apparmor messages correctly
- change_hat(2) compatability manpage symlink fix (#310868)
* Thu Aug 16 2007 - sbeattie@suse.de
- johansen@suse.de:
  - add support for 64bit change_hat tokens
  - rename change_hat(2) to aa_change_hat(2)
  - add support for aa_change_profile(2)
- mbarringer@suse.de:
  - added support for timestamp + audit sub_id to log parsing
  interface
- fix up bad versioning around change_hat symbol
- dropped bogus libimmunix.so from -devel
* Mon Aug 06 2007 - mbarringer@suse.de
- Fixed bug #297648 ("libapparmor has an incorrect belief about
  syntax")
  - This only involved minor changes to the parser.
* Tue Jul 31 2007 - mbarringer@suse.de
- Added "Provides: libapparmor:/usr/include/sys/apparmor.h" to
  the libapparmor-devel portion of the .spec file so a user
  performing an upgrade will have that automatically installed.
* Sun Jul 29 2007 - mbarringer@suse.de
- Committing fix for bug # 295482 (memory corruption bug)
  - Simple fix was using asprintf
* Sat Jul 28 2007 - mbarringer@suse.de
- COPYING file was previously GPL, changed to LGPL.
- Switched to using bzip2 for source tarball.
* Sat Jul 28 2007 - mbarringer@suse.de
- Update to 2.1
- Converted RPM name to libapparmor1 to reflect new naming
  conventions.
- Converted to using autotools for compilation.
- Added AppArmor log record parsing functions.
* Fri Apr 13 2007 - sbeattie@suse.de
- Update to 2.0.2 (minor fixes only)
- Add manpage to package
* Fri Feb 24 2006 - sbeattie@suse.de
- use gettid() instead of /proc/self for /proc/pid/attr/current (#153293)
* Mon Feb 13 2006 - dreynolds@suse.de
- (sbeattie@suse.de)
- Use RPM_OPT_FLAGS
- Fix installed library version to match specfile version
* Sat Feb 04 2006 - sbeattie@suse.de
- Updated prototype argument names to match change_hat(2) manpage
* Sun Jan 29 2006 - sbeattie@suse.de
- Add svn repo number to tarball name
- Rename to libapparmor.so and apparmor.h
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 08 2005 - sbeattie@suse.de
- Rename package to libapparmor
- Keep LGPL license for open source release
- reset version to 2.0-1
